
%%Tidsinterval til av/p regulering
tid_intervall = 2500;       %% tid for  regulere fra min pdrag til ferdig med 100%, for s  starte p min pdrag igjen

%%Temperaturer
SP = 22;                    %% nsket temperatur
SP = SP +0.15;              %% korrigerende faktor for  flytte middelverdien av rom temperaturen
T_start = 18;               %% start temperatur
utetemp = -20;              %% utetemperatur 

%%Strrelse p rommet
%%Ved  endre strrelsen p rommet, vr obs p at varmeeffekten i rommet
%%ikke endres automatisk, dette kan gjres i scriptet "effekt_radiator". Den burde vre 50-70W pr kvadratmeter
lengde_rom = 6;             %% lengden p rommet som skal varmes
bredde_rom = 5;             %% bredden p rommet som skal varmes 
hoyde_rom = 2.4;            %% hyden p rommet som skal varmes

%%Radiator i rommet
masse_radiator = 15;        %%masse varmemediet i radiator
antall_radiatorer =1;       %%antall radiatorer i rommet

%%Transportforsinkelse i rrsystem.
l = 15;                     %%lengede p rr fra pumpe til radiator [m]
v = 0.119;                  %%vske hastighet i rret [m/s]
T_f = l/v;

%%%%%%%%Beregne minste tillatt paadrag p turpumpe avhengig av utetemp%%%%%%%%%%%
if(utetemp< -15)
    min_paadrag=40;
elseif (utetemp>=-15 && utetemp<-10)
    min_paadrag=40;
elseif (utetemp>=-10 && utetemp<-5)
    min_paadrag=35;
elseif (utetemp>=-5 && utetemp<0)
    min_paadrag=60;
else 
    min_paadrag=50;
end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%% Ikke gjr forandringer %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%Beregne temperatur p tur/retur-nett ut i fra utetemp%%%%%%%%%%%
if (utetemp <-15)
    turtemp = 60;
    returtemp = 30;
elseif (utetemp >=-15 && utetemp <-5 )
    turtemp = 50;
    returtemp = 30;
elseif (utetemp >=-5 && utetemp <5 )
    turtemp = 40;
    returtemp = 30;
elseif (utetemp >=5 && utetemp <12 )
    turtemp = 35;
    returtemp = 20;
else
    turtemp = 0;
    returtemp = 0;
end
    
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

if (T_start == 0)
    R_start = 0;
    T_V_start =0;
    PID_start = 0;
end

if (T_start >0);

    T_delta = SP-T_start;

    %%%%%%%%%%%%Beregne varmetapet ved start%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

    %%Uverdier fra byggeforskrift fra 1969
    volum = lengde_rom*bredde_rom*hoyde_rom;

    U_v = 0.45;                 %% U-verdi yttervegg, inkluderer vinduer
    U_t = 0.23;                 %% U-verdi tak
    U_g = 0.3;                  %% U-verdi gulv

    %%Areal yttervegger
    vegg1 = lengde_rom*hoyde_rom;
    vegg2 = bredde_rom*hoyde_rom;
    A_v = vegg1+vegg2;

    %%Areal tak
    A_t = lengde_rom*bredde_rom;

    %%Varmetap transisjon
    Q_vegg = U_v*A_v*(T_start-utetemp);     %%Varmetap yttervegger 
    Q_loft = U_t*A_t*(T_start-utetemp);     %%Varmetap loft, antar kaldloft


    %%Varmetap infiltrasjons
    temp_kelvin = T_start+273;
    R=287.05;                        %%spesifikk gasskonstant trr luft [J/kg*K]
    p = 101325;                      %%gjennomsnitlig atmosfrisk trykk ved havoverflaten
    ro= p/(R*temp_kelvin);           %% lufttethet  
    c = 1012;                       %%spesifik varmekapasitet romtemperert luft [kJ]
    n = 1.4*10^-4;                    %%antall luftutskiftninger    

    Q_inf = c*ro*n*volum*(T_start-utetemp);  %%Varmetap pga infiltrasjons

    %%Antar ikke noe varmetap pga ventilasjonsanlegg

    Q_tap = Q_vegg+Q_loft+Q_inf;  %%total varmetap

    %%%%%%%%%%%%%Beregne initialverdier%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

    R_start = Q_tap;  %% starttemperatur radiator
    
    if (R_start<500)
        R_start=500;
    end

    T_V_start = 30+((30*Q_tap)/2000);  %%starttemperatur blandingsvann
    
end 