function varmetap=Varmetap(inn)

lengde = inn(1);                    %%rommets lengde
bredde = inn(2);                    %%rommets bredde 
hoyde = inn(3);                     %%rommets hyde
T_i = inn(4);                       %%Inne temperatur
T_u = inn(5);                       %%Ute temperatur

volum = lengde*bredde*hoyde;        %%rommets volum 

%%Antar at rommet i et hjrne p bygget med kaldt loft p oversiden, har
%%strst varmetap og derfor strst varmebehov.

%%Uverdier fra byggeforskrift fra 1969
U_v = 0.45;                         %% U-verdi yttervegg, inkluderer vinduer
U_t = 0.23;                         %% U-verdi tak
U_g = 0.3;                          %% U-verdi gulv

%%Areal yttervegger
vegg1 = lengde*hoyde;
vegg2 = bredde*hoyde;
A_v = vegg1+vegg2;

%%Areal tak
A_t = lengde*bredde;

%%Varmetap transisjon
Q_vegg = U_v*A_v*(T_i-T_u);       %%Varmetap yttervegger 
Q_loft = U_t*A_t*(T_i-T_u);       %%Varmetap loft, antar kaldloft


%%Varmetap infiltrasjons
temp_kelvin = T_i+273;
R=287.05;                        %%spesifikk gasskonstant trr luft
p = 101325;                      %%gjennomsnitlig atmosfrisk trykk ved havoverflaten
ro= p/(R*temp_kelvin);           %% lufttethet  
c = 1012;                        %%spesifik varmekapasitet romtemperert luft
n = 1.4*10^-4;                   %%antall luftutskiftninger    

Q_inf = c*ro*n*volum*(T_i-T_u);  %%Varmetap pga infiltrasjons

%%Antar ikke noe varmetap pga ventilasjonsanlegg

Q_tap = Q_vegg+Q_loft+Q_inf;     %% totalt varmetap

varmetap = Q_tap;